Mail archive
alpine-aports

[alpine-aports] [PATCH 2/5] testing/perl-dir-self: new aport

From: Nathan Johnson <nathan_at_nathanjohnson.info>
Date: Mon, 29 Feb 2016 15:22:35 -0600

http://search.cpan.org/dist/Dir-Self/
a __DIR__ constant for the directory your source file is in
---
 testing/perl-dir-self/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-dir-self/APKBUILD
diff --git a/testing/perl-dir-self/APKBUILD b/testing/perl-dir-self/APKBUILD
new file mode 100644
index 0000000..93e2620
--- /dev/null
+++ b/testing/perl-dir-self/APKBUILD
_at_@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
+pkgname=perl-dir-self
+_pkgreal=Dir-Self
+pkgver=0.11
+pkgrel=0
+pkgdesc="a __DIR__ constant for the directory your source file is in"
+url="http://search.cpan.org/dist/Dir-Self/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MAUKE/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e484446c3aa042737c0b7cbd0fb2f904  Dir-Self-0.11.tar.gz"
+sha256sums="e251a51abc7d9ba3e708f73c2aa208e09d47a0c528d6254710fa78cc8d6885b5  Dir-Self-0.11.tar.gz"
+sha512sums="c2795149e74c71037fab8c3149e85e11d4ee77dbb54f85d07e49c39504b3ba910a5ded32831adf36915b302abc4ced386dcd51b6dfbaef46e069c803793e8efc  Dir-Self-0.11.tar.gz"
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Feb 29 2016 - 15:22:35 GMT